{% extends 'public/base.html.twig' %}

{% block head %}
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ekko-lightbox/5.3.0/ekko-lightbox.css" integrity="sha256-HAaDW5o2+LelybUhfuk0Zh2Vdk8Y2W2UeKmbaXhalfA=" crossorigin="anonymous" />
{% endblock %}

{% block body %}
	<div class="container" style="margin-top:4em;">
		<div id="site-wrap" class="row">
			<div id="box1" class="card mx-auto my-auto rounded-0">
				<h1>Videos</h1>
				<br>
				<div class="row justify-content-center">
			    <div class="col-md-12">
			        <div class="row">
								{% for x in youtubeVideos %}
									<a href="http://youtu.be/{{x}}" data-toggle="lightbox" data-gallery="youtubevideos" class="col-sm-4" style="padding-bottom: 2em;">
										<img src="http://i1.ytimg.com/vi/{{x}}/mqdefault.jpg" class="img-fluid">
									</a>
								{% endfor %}
			        </div>
			    </div>
				</div>
				<br>
				<hr>
				<br>
				<h1>Images</h1>
				<br>
				<div class="row justify-content-center">
			    <div class="col-md-12">
			        <div class="row">
									{% for x in galleryImages %}
										<a href="https://files.uag.zeue.net/{{ x }}" data-toggle="lightbox" data-gallery="example-gallery" class="col-sm-3" style="padding-bottom: 2em;">
												<img src="https://files.uag.zeue.net/{{ x }}" class="img-fluid">
										</a>
									{% endfor %}
			        </div>
			    </div>
				</div>
			</div>
		</div>
	</div>
{% endblock %}

{% block footer %}
	<script src="https://cdnjs.cloudflare.com/ajax/libs/ekko-lightbox/5.3.0/ekko-lightbox.js" integrity="sha256-jGAkJO3hvqIDc4nIY1sfh/FPbV+UK+1N+xJJg6zzr7A=" crossorigin="anonymous"></script>
	<script type="text/javascript">
		$(document).on('click', '[data-toggle="lightbox"]', function(event) {
				event.preventDefault();
				$(this).ekkoLightbox();
		});
	</script>
{% endblock %}
